Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1012336 - Methods in outline view with SWT_GTK3=1 not re-arrangable
Summary: Methods in outline view with SWT_GTK3=1 not re-arrangable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-26 10:03 UTC by Severin Gehwolf
Modified: 2015-12-07 21:21 UTC (History)
7 users (show)

Fixed In Version: eclipse-4.5.1-5.fc23 eclipse-4.5.1-5.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 20:29:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Severin Gehwolf 2013-09-26 10:03:54 UTC
Description of problem:
Clicking and dragging a method in the Eclipse outline view (org.eclipse.ui.views.contentoutline.ContentOutline) in conjunction with the GTK3 SWT backend does not seem to work.

Version-Release number of selected component (if applicable):
eclipse-swt-4.3.0-4.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Open the outline view => CTRL+3 => type "Outline", select View => Outline
2. Click + drag a method if a Java class is open in the editor.

Actual results:
Method can not be moved around.

Expected results:
Code for the Java method moves in between methods. I.e. methods can get re-ordered.

Comment 1 Severin Gehwolf 2013-09-26 10:56:26 UTC
OK. This is nothing specific to the outline view. Dragging in package explorer doesn't work either.

Comment 2 Fedora End Of Life 2015-01-09 19:59:16 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-02-17 17:21:34 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Severin Gehwolf 2015-02-18 09:44:48 UTC
Reopening as this is still an issue in F21 Eclipse (Luna SR1 (4.4.1)).

Comment 5 Severin Gehwolf 2015-02-19 17:44:37 UTC
Noting it here for posterity. This should be fixed with Eclipse Mars (4.5) Build id: I20150217-080 and up.

Comment 6 Fedora End Of Life 2015-11-04 13:31:30 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Mat Booth 2015-11-28 11:21:51 UTC
This should be fixed with updates to Mars.1 on F22+

Comment 8 Fedora Update System 2015-11-28 11:35:12 UTC
eclipse-4.5.1-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-216e0b2968

Comment 9 Fedora Update System 2015-11-29 00:53:54 UTC
eclipse-4.5.1-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update eclipse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-216e0b2968

Comment 10 Fedora Update System 2015-11-29 10:46:36 UTC
eclipse-4.5.1-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3984ff045b

Comment 11 Fedora Update System 2015-11-29 23:52:53 UTC
eclipse-4.5.1-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update eclipse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3984ff045b

Comment 12 Fedora Update System 2015-12-07 20:28:56 UTC
eclipse-4.5.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-12-07 21:21:11 UTC
eclipse-4.5.1-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.